/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package hu.nir.nmail.ejb.stateless;

import hu.nir.nmail.ejb.entity.EmailAddress;
import hu.nir.nmail.ejb.entity.NmailUser;
import java.util.List;

/**
 *
 * @author attila
 */
public interface NmailUserManager {
    public NmailUser getNmailUser(Long userId);
    public void persist(NmailUser nmailUser);
    public void remove(NmailUser nmailUser);
    public void update(NmailUser nmailUser);
    public void refresh(NmailUser nmailUser);
    public List<EmailAddress> getEmailAddresses(NmailUser nmailUser);
    public List<NmailUser> getAllNmailUser();
}
